<div class="row">
    <div class="col-md-12">
            <nb-card>
                <nb-card-header>Transaksi Data Pricing</nb-card-header>
                <nb-card-body  *ngIf="(isInsertMode) || (isEditMode)">
                <form #createForm="ngForm">
                    <div class="form-group row">
                        <label  class="label col-sm-2 col-form-label">Date</label>
                        <div class="col-sm-6">
                            <input type="date" [(ngModel)]="DTA.DATE" nbInput fullWidth id="inputEmail1" placeholder="Please Type" [ngModelOptions]="{standalone: true}">
                        </div>
                    </div>
                    <div class="form-group row">
                    <label class="label col-sm-2 col-form-label">Material Name</label>
                    <div class="col-sm-6">
                        <input style="display:none;" type="text" [(ngModel)]="DTA.ID" nbInput fullWidth id="inputEmail1" placeholder="Please Type" [ngModelOptions]="{standalone: true}">
                        
                        <mat-form-field>
                            <mat-select  (selectionChange)="getMaterialCd(DTA.MATERIAL)"  required placeholder="Please Select" [(value)]="DTA.MATERIAL" #singleSelect>
                              <mat-option>
                                <ngx-mat-select-search noEntriesFoundLabel="No matching material found" placeholderLabel="Searching Material..." [formControl]="matFilterCtrl"></ngx-mat-select-search>
                              </mat-option>
                              <mat-option *ngFor="let DTA of filteredMatsFinal" [value]="DTA.MATERIAL">
                                {{DTA.MaterialDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>

                        
                    </div>
                    </div>
                    <div class="form-group row">
                        <label  class="label col-sm-2 col-form-label">Price Type</label>
                        <div class="col-sm-6">
                            <mat-form-field>
                                <mat-select required [(value)]="DTA.PRICETYPE" placeholder="Please Select">
                                  <mat-option *ngFor="let DTA of prcTypeData" [value]="DTA.PRICETYPE">
                                    {{DTA.PriceTypeName}}
                                  </mat-option>
                                </mat-select>
                              </mat-form-field>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="label col-sm-2 col-form-label">Price</label>
                        <div class="col-sm-6">
                            <input type="number" pattern="[0-9]+([\.,][0-9]+)?" step="0.01" [(ngModel)]="DTA.PRICE" nbInput fullWidth id="inputEmail1" placeholder="Please Type" [ngModelOptions]="{standalone: true}" required>
                        </div>
                    </div>
                   
                    <div class="form-group row">
                        <label class="label col-sm-2 col-form-label">Currency</label>
                        <div class="col-sm-6">
                           <mat-form-field>
                                <mat-label>Please Select</mat-label>
                                <mat-select  required [(value)]="DTA.CURRENCY">
                                  <mat-option *ngFor="let DTA of CURRENCY" [value]="DTA.CURRENCY">
                                    {{DTA.CURRENCY_VALUE}}
                                  </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                    </div>
                    <div class="form-group row">
                    <div class="offset-sm-6">
                        
                        <button [disabled]="isFormValid()"  size="small" *ngIf="isEditMode" type="submit" nbButton status="primary" (click)="UpdateData(DTA.ID)"  ><nb-icon icon="checkmark-circle-outline"></nb-icon>Update</button>
                        <button [disabled]="isFormValid()"   size="small" *ngIf="isInsertMode" type="submit" nbButton status="primary" (click)="SaveData()"  ><nb-icon icon="save-outline"></nb-icon>Save</button>
                        &nbsp;<button size="small"  type="submit" nbButton status="primary" (click)="CancelData()"><nb-icon icon="corner-down-left-outline"></nb-icon>Cancel</button>
                    </div>
                    </div>
                </form>
                </nb-card-body>
                <nb-card-body [hidden]="!isListMode">
                <button size="small" style="margin-bottom:5px;" type="submit" nbButton status="primary" (click)="AddData()"><nb-icon icon="plus-square-outline"></nb-icon>Add Data</button>
                <div style="overflow-x:auto;">
                    <table id="example" class="table table-striped table-bordered table-sm row-border hover" datatable [dtOptions]="dtOptions"
                    [dtTrigger]="dtTrigger">
                    <thead>
                        <tr>
                        <th style="text-align: center;">Material Desc</th>
                        <th style="text-align: center;">Price Type</th>
                        <th style="text-align: center;">Currency</th>
                        <th style="text-align: center;">Price</th>
                        <th style="text-align: center;">Date</th>
                        <th style="text-align: center;">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let dt of DataPrice; index as i">
                            <td style="text-align: left;">{{dt.MaterialDescription}}</td>
                            <td style="text-align: center;">{{dt.PriceTypeName}}</td>
                            <td style="text-align: center;">{{dt.CURRENCY}}</td>
                            <td style="text-align: right;">{{dt.PRICE | number}}</td>
                            <td style="text-align: center;">{{dt.DATE | date}}</td>
                            <td style="text-align: center;">
                                    <a status="info"size="small" nbButton (click) = "EditPrice(dt.ID)"><nb-icon icon="edit-outline"></nb-icon>Edit</a>
                                    &nbsp;<a status="warning" size="small" nbButton (click) = "DeleteConfirm(dt.ID, i)"><nb-icon icon="trash-2-outline"></nb-icon>Delete</a>
                            </td>
                        </tr>
                    </tbody>        
                    </table>
                </div>
                </nb-card-body>
            </nb-card>
        </div> 
</div>

